For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.

List Eval Datasets

List the eval datasets in this project, newest first. Pass a dataset name to Create Eval Run to score it. Rows are not included.

List the eval datasets in this project, newest first. Pass a dataset name to Create Eval Run to score it. Rows are not included.

gethttps://statsigapi.net/console/v1/eval_datasets

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Eval Datasets Success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired
namestringrequired
descriptionstringrequired
isGlobalbooleanrequired
versionnumberrequired

Counter bumped on every edit to the dataset rows or columns.

Constraints:format: double
columnsobject[]required
idstringrequired
namestringrequired
groupsobject[]required
idstringrequired
namestringrequired
outputFieldsstring[]required
imageFieldsstring[]required
createdTimenumberrequired
Constraints:format: double
lastModifiedTimenumberrequired
Constraints:format: double
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
403· Forbidden. The request was valid, but the server is refusing action. You might not have the necessary permissions to access the resource.
statusintegerrequired
Allowed values:403
messagestringrequired

Was this helpful?